package annotationexamples;

import java.util.LinkedList;
import java.util.List;

// Annotest is a demonstration of warning supression
// If your warnings aren't supressed, check you have J2SE 1.5.06 or later

public class Annotest {
    
    public Annotest() {
    }

    // Here we supress unchecked warnings for an entire method
    @SuppressWarnings("unchecked")
    public List<String> getList() {
        List<String> l=new LinkedList();
        
        return l;
    }
    
    // Here we are supressing unchecked warnings for a single statement
    public List<String> getListToo() {
        @SuppressWarnings("unchecked")
        List<String> l=new LinkedList();
        
        return l;
    }
}
